GrailsTestAutowirer (Grails 6.0.0)

Package: org.grails.test.support

## [Groovy] Class GrailsTestAutowirer

- org.grails.test.support.GrailsTestAutowirer

-     class GrailsTestAutowirer
      extends java.lang.Object

  Convenience class to autowire test classes

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private org.springframework.context.ApplicationContext` | `applicationContext` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.springframework.context.ApplicationContext` | `applicationContext`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsTestAutowirer (org.springframework.context.ApplicationContext applicationContext)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `autowire(java.lang.Object bean)` Autowires the bean by name, processes any autowiring annotations, and set's the applicationContext if it implements ApplicationContextAware.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private org.springframework.context.ApplicationContext applicationContext

  - ### Property Detail

    - #### org.springframework.context.ApplicationContext applicationContext

  - ### Constructor Detail

    - #### GrailsTestAutowirer(org.springframework.context.ApplicationContext applicationContext)

  - ### Method Detail

    - #### void autowire(java.lang.Object bean)

      Autowires the bean by name, processes any autowiring annotations, and set's the applicationContext if it implements ApplicationContextAware.